## Badges

(Customize these badges with your own links, and check https://shields.io/ or https://badgen.net/ to see which other badges are available.)

| fair-software.eu recommendations | |
| :-- | :--  |
| (1/5) code repository              | [![github repo badge](https://img.shields.io/badge/github-repo-000.svg?logo=github&labelColor=gray&color=blue)](git@github.com:elpaco-escience/scikit-talk) |
| (2/5) license                      | [![github license badge](https://img.shields.io/github/license/elpaco-escience/scikit-talk)](git@github.com:elpaco-escience/scikit-talk) |
| (3/5) community registry           | [![RSD](https://img.shields.io/badge/rsd-scikit-talk-00a3e3.svg)](https://www.research-software.nl/software/scikit-talk) [![workflow pypi badge](https://img.shields.io/pypi/v/scikit-talk.svg?colorB=blue)](https://pypi.python.org/project/scikit-talk/) |
| (4/5) citation                     | [![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.10462997.svg)](https://doi.org/10.5281/zenodo.10462997) |
| (5/5) checklist                    | [![workflow cii badge](https://bestpractices.coreinfrastructure.org/projects/<replace-with-created-project-identifier>/badge)](https://bestpractices.coreinfrastructure.org/projects/<replace-with-created-project-identifier>) |
| howfairis                          | [![fair-software badge](https://img.shields.io/badge/fair--software.eu-%E2%97%8F%20%20%E2%97%8F%20%20%E2%97%8F%20%20%E2%97%8F%20%20%E2%97%8B-yellow)](https://fair-software.eu) |
| **Other best practices**           | &nbsp; |
| Static analysis                    | [![workflow scq badge](https://sonarcloud.io/api/project_badges/measure?project=elpaco-escience_scikit-talk&metric=alert_status)](https://sonarcloud.io/dashboard?id=elpaco-escience_scikit-talk) |
| Coverage                           | [![workflow scc badge](https://sonarcloud.io/api/project_badges/measure?project=elpaco-escience_scikit-talk&metric=coverage)](https://sonarcloud.io/dashboard?id=elpaco-escience_scikit-talk) |
| Documentation                      | [![Documentation Status](https://readthedocs.org/projects/sktalk/badge/?version=latest)](https://sktalk.readthedocs.io/en/latest/?badge=latest) |
| **GitHub Actions**                 | &nbsp; |
| Build                              | [![build](https://github.com/elpaco-escience/scikit-talk/actions/workflows/build.yml/badge.svg)](https://github.com/elpaco-escience/scikit-talk/actions/workflows/build.yml) |
| SonarCloud                         | [![sonarcloud](https://github.com/elpaco-escience/scikit-talk/actions/workflows/sonarcloud.yml/badge.svg)](https://github.com/elpaco-escience/scikit-talk/actions/workflows/sonarcloud.yml) |
| Citation data consistency               | [![cffconvert](https://github.com/elpaco-escience/scikit-talk/actions/workflows/cffconvert.yml/badge.svg)](https://github.com/elpaco-escience/scikit-talk/actions/workflows/cffconvert.yml) |




## How to use scikit-talk

Short description of package

The project setup is documented in [project_setup.md](project_setup.md). Feel free to remove this document (and/or the link to this document) if you don't need it.

## Installation

To install scikit-talk from GitHub repository, do:

```console
git clone git@github.com:elpaco-escience/scikit-talk.git
cd scikit-talk
python3 -m pip install .
```

## Documentation

The user documentation can be found [here](https://sktalk.readthedocs.io/en/latest/?badge=latest).
To read more about the aims of this software, [this paper](https://aclanthology.org/2021.sigdial-1.26/) by Liesenfeld _et al._ (2021) describes the project in detail.

## Contributing

If you want to contribute to the development of scikit-talk,
have a look at the [contribution guidelines](CONTRIBUTING.md).

## Credits

This package was created with [Cookiecutter](https://github.com/audreyr/cookiecutter) and the [NLeSC/python-template](https://github.com/NLeSC/python-template).
